Bug 188789 - CVE-2006-1733 Accessing XBL compilation scope via valueOf.call()
Summary: CVE-2006-1733 Accessing XBL compilation scope via valueOf.call()
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 02:22 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0329
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 14:03:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0329 normal SHIPPED_LIVE Critical: mozilla security update 2006-04-18 04:00:00 UTC

Description Josh Bressers 2006-04-13 02:22:01 UTC
Accessing XBL compilation scope via valueOf.call()


moz_bug_r_a4 discovered that the compilation scope of privileged built-in
XBL bindings was not fully protected from web content and could be accessed
by calling valueOf.call() and valueOf.apply() on a method of that binding.
This could then be used to compile and run attacker-supplied JavaScript,
giving it the privileges of the binding which would allow an attacker to
install malware such as viruses and password sniffers.

shutdown  reported an alternate way to get to XBL compilation scope by
inserting an XBL method into the DOM's document.body prototype chain.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a fixed version.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=312871
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=313236
[3]https://bugzilla.mozilla.org/show_bug.cgi?id=313375


This issue also affects RHEL3
This issue also affects RHEL2.1

Comment 1 Josh Bressers 2006-04-17 17:33:49 UTC
Lifting embargo

Comment 4 Red Hat Bugzilla 2006-04-25 14:03:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0329.html



Note You need to log in before you can comment on or make changes to this bug.